/*
DESCRIPTION:
Any functions that are used internally by the use-case
*/
package edu_assessment

import (
	e "simrs-vx/internal/domain/main-entities/edu-assessment"
)

func setData[T *e.CreateDto | *e.UpdateDto](input T, data *e.EduAssessment) {
	var inputSrc *e.CreateDto
	if inputT, ok := any(input).(*e.CreateDto); ok {
		inputSrc = inputT
	} else {
		inputTemp := any(input).(*e.UpdateDto)
		inputSrc = &inputTemp.CreateDto
	}

	data.Encounter_Id = inputSrc.Encounter_Id
	data.GeneralEdus = inputSrc.GeneralEdus
	data.SpecialEdus = inputSrc.SpecialEdus
	data.Assessments = inputSrc.Assessments
	data.Plan = inputSrc.Plan
}
